Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
E17 is coming(part 6) [locked]
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 20, 21, 22 ... 28, 29, 30  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
Muso
l33t
l33t


Joined: 22 Oct 2002
Posts: 996
Location: The Holy city of Honolulu

PostPosted: Sun Jun 20, 2010 8:52 pm    Post subject: Reply with quote

For anyone using the official svn overlay from the e-team (efl), the eclass/efl.eclass file needs to be edited on line 114.

From :
Code:
DEPEND="${DEPEND} dev-util/cvs"


To :
Code:
DEPEND="${DEPEND} dev-vcs/cvs"


Else portage will bitch about dev-util/cvs not existing as a requirement of enlightenment.

I'm assuming it will be fixed shortly, but if someone has trouble now this is the fix.
_________________
Time is a great teacher, but unfortunately it kills all its pupils.
Back to top
View user's profile Send private message
desultory
Administrator
Administrator


Joined: 04 Nov 2005
Posts: 9276

PostPosted: Mon Jun 21, 2010 7:35 am    Post subject: Reply with quote

Chopinzee wrote:
I'm assuming it will be fixed shortly, but if someone has trouble now this is the fix.
It has been fixed.
Back to top
View user's profile Send private message
Muso
l33t
l33t


Joined: 22 Oct 2002
Posts: 996
Location: The Holy city of Honolulu

PostPosted: Mon Jun 21, 2010 8:52 am    Post subject: Reply with quote

Very nice :)
_________________
Time is a great teacher, but unfortunately it kills all its pupils.
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5398

PostPosted: Tue Jun 22, 2010 8:22 pm    Post subject: Reply with quote

does anyone else have a problem like this?
Code:
>>> Emerging (1 of 1) media-gfx/enki-9999 from enlightenment-niifaq
 * checking ebuild checksums ;-) ...                                                   [ ok ]
 * checking auxfile checksums ;-) ...                                                  [ ok ]
 * checking miscfile checksums ;-) ...                                                 [ ok ]
 * CPV:  media-gfx/enki-9999
 * REPO: enlightenment-niifaq
 * USE:  amd64 elibc_glibc kernel_linux multilib userland_GNU
>>> Unpacking source...
 * subversion switch start -->
 *      old repository: http://svn.enlightenment.org/svn/e/trunk/enki@49724
 *      new repository: http://svn.enlightenment.org/svn/e/trunk//enki
U    src/bin/panel_image.c
U    src/bin/evas_object/tabpanel.c
U    src/bin/flickr_sync.c
U    src/bin/main.c
U    src/bin/list_photo.c
U    src/bin/upload.c
U    src/bin/main.h
Updated to revision 49804.
 *    working copy: /usr/portageTree/portage/distfiles/svn-src/enlightenment/trunk//enki

>>> Source unpacked in /var/tmp/portage/media-gfx/enki-9999/work
>>> Preparing source in /var/tmp/portage/media-gfx/enki-9999/work/enki ...
 * Running eautoreconf in '/var/tmp/portage/media-gfx/enki-9999/work/enki' ...
 * Running aclocal -I m4 ...                                                            [ ok ]
 * Running libtoolize --copy --force --install --automake ...                           [ ok ]
 * Running aclocal -I m4 ...                                                            [ ok ]
 * Running autoconf ...                                                                 [ ok ]
 * Running autoheader ...                                                               [ ok ]
 * Running automake --add-missing --copy ...                                            [ ok ]
 * Running elibtoolize in: enki
 *   Applying portage-2.2.patch ...
 *   Applying sed-1.5.6.patch ...
 *   Applying as-needed-2.2.6.patch ...
 * Removing useless C++ checks ...                                                      [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/media-gfx/enki-9999/work/enki ...
 * econf: updating enki/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating enki/config.sub with /usr/share/gnuconfig/config.sub
./configure --prefix=/usr --build=x86_64-pc-linux-gnu --host=x86_64-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --libdir=/usr/lib64 --disable-static
configure: loading site script /usr/share/config.site
configure: loading site script /usr/share/crossdev/include/site/linux
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking target system type... x86_64-pc-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for x86_64-pc-linux-gnu-gcc... x86_64-pc-linux-gnu-gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether x86_64-pc-linux-gnu-gcc accepts -g... yes
checking for x86_64-pc-linux-gnu-gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of x86_64-pc-linux-gnu-gcc... gcc3
checking for x86_64-pc-linux-gnu-gcc... (cached) x86_64-pc-linux-gnu-gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether x86_64-pc-linux-gnu-gcc accepts -g... (cached) yes
checking for x86_64-pc-linux-gnu-gcc option to accept ISO C89... (cached) none needed
checking dependency style of x86_64-pc-linux-gnu-gcc... (cached) gcc3
checking how to run the C preprocessor... x86_64-pc-linux-gnu-gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for an ANSI C-conforming const... yes
checking whether x86_64-pc-linux-gnu-gcc and cc understand -c and -o together... yes
checking how to print strings... printf
checking for a sed that does not truncate output... /bin/sed
checking for fgrep... /bin/grep -F
checking for ld used by x86_64-pc-linux-gnu-gcc... /usr/x86_64-pc-linux-gnu/bin/ld
checking if the linker (/usr/x86_64-pc-linux-gnu/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking for /usr/x86_64-pc-linux-gnu/bin/ld option to reload object files... -r
checking for x86_64-pc-linux-gnu-objdump... x86_64-pc-linux-gnu-objdump
checking how to recognize dependent libraries... pass_all
checking for x86_64-pc-linux-gnu-ar... x86_64-pc-linux-gnu-ar
checking for x86_64-pc-linux-gnu-strip... x86_64-pc-linux-gnu-strip
checking for x86_64-pc-linux-gnu-ranlib... x86_64-pc-linux-gnu-ranlib
checking command to parse /usr/bin/nm -B output from x86_64-pc-linux-gnu-gcc object... ok
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if x86_64-pc-linux-gnu-gcc supports -fno-rtti -fno-exceptions... no
checking for x86_64-pc-linux-gnu-gcc option to produce PIC... -fPIC -DPIC
checking if x86_64-pc-linux-gnu-gcc PIC flag -fPIC -DPIC works... yes
checking if x86_64-pc-linux-gnu-gcc static flag -static works... yes
checking if x86_64-pc-linux-gnu-gcc supports -c -o file.o... yes
checking if x86_64-pc-linux-gnu-gcc supports -c -o file.o... (cached) yes
checking whether the x86_64-pc-linux-gnu-gcc linker (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking for x86_64-pc-linux-gnu-pkg-config... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for EDJE... yes
checking for ENKI... configure: error: Package requirements (
                             eina-0 >= 0.0.2.062
                             ecore >= 0.9.9.062
                             ecore-file >= 0.9.9.062
                             eet >= 1.2.2
                             enlil >= 0.6
                             elementary >= 0.5.1.0
                        ) were not met:

Requested 'ecore >= 0.9.9.062' but version of ecore is 0.9.9.0
Requested 'ecore-file >= 0.9.9.062' but version of ecore-file is 0.9.9.0

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables ENKI_CFLAGS
and ENKI_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.


!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-gfx/enki-9999/work/enki/config.log
 * ERROR: media-gfx/enki-9999 failed:
 *   econf failed
 *
 * Call stack:
 *     ebuild.sh, line   54:  Called src_configure
 *   environment, line 3402:  Called efl_src_configure
 *   environment, line 1157:  Called econf '--disable-static'
 *     ebuild.sh, line  544:  Called die
 * The specific snippet of code:
 *                      die "econf failed"
 *
 * If you need support, post the output of 'emerge --info =media-gfx/enki-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/enki-9999'.
 * This ebuild used the following eclasses from overlays:
 *   /usr/portageTree/local/portage/eclass/efl.eclass
 * This ebuild is from an overlay named 'enlightenment-niifaq': '/usr/portageTree/local/portage/'
 * The complete build log is located at '/var/tmp/portage/media-gfx/enki-9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/enki-9999/temp/environment'.
 * S: '/var/tmp/portage/media-gfx/enki-9999/work/enki'

I'm using niifaq's overlay, alot of packages are failing like this
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
transsib
l33t
l33t


Joined: 26 Jul 2003
Posts: 869

PostPosted: Fri Jul 02, 2010 2:03 pm    Post subject: Reply with quote

ecore fails:
Code:
/bin/sh ../../../libtool --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../../..  -I../../../src/lib/ecore -I../../../src/lib/ecore -I/usr/include/eina-0 -I/usr/include/eina-0/eina     -march=core2 -O2 -pipe -msse4.1 -MT ecore_fb_ts.lo -MD -MP -MF .deps/ecore_fb_ts.Tpo -c -o ecore_fb_ts.lo ecore_fb_ts.c
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../../.. -I../../../src/lib/ecore -I../../../src/lib/ecore -I/usr/include/eina-0 -I/usr/include/eina-0/eina -march=core2 -O2 -pipe -msse4.1 -MT ecore_fb_ts.lo -MD -MP -MF .deps/ecore_fb_ts.Tpo -c ecore_fb_ts.c  -fPIC -DPIC -o .libs/ecore_fb_ts.o
ecore_fb_vt.c:44: Fehler: In Konflikt stehende Typen für »_ecore_fb_signal_usr_handler«
ecore_fb_vt.c:22: Anmerkung: Vorherige Deklaration von »_ecore_fb_signal_usr_handler« war hier
ecore_fb_vt.c: In Funktion »_ecore_fb_vt_setup«:
ecore_fb_vt.c:130: Warnung: Übergabe des Arguments 2 von »ecore_event_handler_add« von inkompatiblem Zeigertyp
../../../src/lib/ecore/Ecore.h:263: Anmerkung: expected »Eina_Bool (*)(void *, int,  void *)« but argument is of type »int (*)(void *, int,  void *)«
make[4]: *** [ecore_fb_vt.lo] Fehler 1
make[4]: *** Warte auf noch nicht beendete Prozesse...
mv -f .deps/ecore_fb_li.Tpo .deps/ecore_fb_li.Plo
ecore_fb_ts.c:207: Fehler: In Konflikt stehende Typen für »_ecore_fb_ts_fd_handler«
ecore_fb_ts.c:67: Anmerkung: Vorherige Deklaration von »_ecore_fb_ts_fd_handler« war hier
make[4]: *** [ecore_fb_ts.lo] Fehler 1
make[4]: Leaving directory `/var/tmp/portage/x11-libs/ecore-9999/work/ecore/src/lib/ecore_fb'
make[3]: *** [all-recursive] Fehler 1
make[3]: Leaving directory `/var/tmp/portage/x11-libs/ecore-9999/work/ecore/src/lib'
make[2]: *** [all-recursive] Fehler 1
make[2]: Leaving directory `/var/tmp/portage/x11-libs/ecore-9999/work/ecore/src'
make[1]: *** [all-recursive] Fehler 1
make[1]: Leaving directory `/var/tmp/portage/x11-libs/ecore-9999/work/ecore'
make: *** [all] Fehler 2
 * Using user server for live sources: http://svn.enlightenment.org/svn/e/trunk
 * This is a LIVE SOURCES ebuild.
 * That means there are NO promises it will work.
 * If it fails to build, FIX THE CODE YOURSELF


Any help or fix possible?
If not nervermind. In that case I can only wait.

EDIT:
Revision 50010 solved it :) which is a relief for me as I now have the libpng update glitch to deal with too :twisted:
Back to top
View user's profile Send private message
sian
Apprentice
Apprentice


Joined: 26 Jan 2004
Posts: 288

PostPosted: Sun Jul 04, 2010 11:32 am    Post subject: Reply with quote

Hello all,

Enlightenment being compiled, I can not launch e17.
When I start it, e17 shows only the startup page and is blocked there.

Do you know what to do ?

Regards
_________________
Kernel : 2.6.32 - E17 - OpenRC-0.61 - gcc-4.4.3
Back to top
View user's profile Send private message
transsib
l33t
l33t


Joined: 26 Jul 2003
Posts: 869

PostPosted: Mon Jul 05, 2010 6:00 pm    Post subject: Reply with quote

sian,
may be you should provide more information, like how you compiled E17,
what packages, in which order, emerge --info, from which overlay, what you´ve put in you .xinitrc file etc.

It looks like this here:
Code:
emerge -pv eina eet evas ecore embryo edje efreet emotion e_dbus enlightenment

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] dev-libs/eina-9999  USE="nls -doc" 0 kB [1]
[ebuild   R   ] dev-libs/embryo-9999  USE="nls -doc" 0 kB [1]
[ebuild   R   ] dev-libs/eet-9999  USE="nls -doc" 0 kB [1]
[ebuild   R   ] x11-libs/evas-9999  USE="X fbcon fontconfig gif jpeg mmx nls opengl png sdl sse svg threads tiff xcb xpm (-altivec) -bidi -directfb -doc" 0 kB [1]                                                                                                           
[ebuild   R   ] x11-libs/ecore-9999  USE="X curl directfb fbcon nls opengl sdl ssl xcb -doc -gnutls -inotify" 0 kB [1]
[ebuild   R   ] media-libs/edje-9999  USE="nls -doc -vim-syntax" 0 kB [1]
[ebuild   R   ] dev-libs/efreet-9999  USE="nls -doc" 0 kB [1]
[ebuild   R   ] x11-libs/e_dbus-9999  USE="nls -doc" 0 kB [1]
[ebuild   R   ] media-libs/emotion-9999  USE="nls -doc -gstreamer -xine" 0 kB [1]
[ebuild   R   ] x11-wm/enlightenment-9999  USE="exchange nls pam -doc" 0 kB [1]

Total: 10 packages (10 reinstalls), Size of downloads: 0 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /var/lib/layman/enlightenment


I am certain someone here can provide an answer. :)
Back to top
View user's profile Send private message
sian
Apprentice
Apprentice


Joined: 26 Jan 2004
Posts: 288

PostPosted: Fri Jul 09, 2010 7:24 pm    Post subject: Reply with quote

Hello,

I am using the niifaq overlay and I compiled @enlightenment-wm :

Code:
[ebuild   R   ] dev-libs/eina-9999  USE="mempool-chained mempool-pass-through mmx safety-checks sse sse2 static-modules threads (-altivec) -debug -default-mempool -doc -mempool-buddy -mempool-ememoa-fixed -mempool-ememoa-unknown -mempool-fixed-bitmap -test" 0 kB [1]
[ebuild   R   ] dev-libs/embryo-9999  USE="-doc" 0 kB [1]
[ebuild   R   ] media-libs/imlib2-9999  USE="X bzip2 gif jpeg mmx mp3 png tiff zlib" 0 kB [1]
[ebuild   R   ] dev-libs/eet-9999  USE="ssl threads -debug -doc -gnutls -test" 0 kB [1]
[ebuild   R   ] media-libs/evas-9999  USE="X cserve eet fbcon fontconfig gif jpeg mmx opengl png pnm safety-checks sdl sse svg threads tiff xcb xpm (-altivec) -bidi -debug -directfb -doc -static-modules" 0 kB [1]
[ebuild   R   ] dev-libs/ecore-9999  USE="X curl evas fbcon glib inotify nls opengl ssl threads tslib xcb xim xinerama xprint xscreensaver -directfb -doc -gnutls -sdl" 0 kB [1]
[ebuild   R   ] media-libs/edje-9999  USE="-debug -doc -emacs -experimental -vim-syntax" 0 kB [1]
[ebuild   R   ] dev-libs/e_dbus-9999  USE="bluetooth connman hal libnotify ofono -doc -ukit" 0 kB [1]
[ebuild   R   ] dev-libs/eeze-9999  USE="-doc" 0 kB [1]
[ebuild   R   ] dev-libs/efreet-9999  USE="-doc" 0 kB [1]
[ebuild   R   ] x11-wm/enlightenment-9999  USE="enlightenment_conf_borders enlightenment_conf_colors enlightenment_conf_desk enlightenment_conf_desklock enlightenment_conf_desks enlightenment_conf_dialogs enlightenment_conf_display enlightenment_conf_dpms enlightenment_conf_engine enlightenment_conf_fonts enlightenment_conf_imc enlightenment_conf_intl enlightenment_conf_menus enlightenment_conf_mime enlightenment_conf_mouse enlightenment_conf_paths enlightenment_conf_profiles enlightenment_conf_scale enlightenment_conf_shelves enlightenment_conf_startup enlightenment_conf_theme enlightenment_conf_winlist enlightenment_everything_apps enlightenment_everything_aspell enlightenment_everything_calc enlightenment_everything_files enlightenment_everything_settings enlightenment_everything_windows enlightenment_modules_battery enlightenment_modules_bluez enlightenment_modules_clock enlightenment_modules_comp enlightenment_modules_conf enlightenment_modules_connman enlightenment_modules_cpufreq enlightenment_modules_dropshadow enlightenment_modules_everything enlightenment_modules_fileman enlightenment_modules_ibar enlightenment_modules_ibox enlightenment_modules_illume enlightenment_modules_illume2 enlightenment_modules_mixer enlightenment_modules_ofono enlightenment_modules_pager enlightenment_modules_start enlightenment_modules_syscon enlightenment_modules_systray enlightenment_modules_temperature enlightenment_modules_winlist enlightenment_modules_wizard hal nls opengl pam pm-utils udev xinerama xscreensaver -doc -exchange -tracker" 0 kB [1]
[ebuild   R   ] x11-plugins/e_modules-efm_pathbar-9999  USE="nls" 0 kB [1]
[ebuild   R   ] x11-plugins/e_modules-efm_path-9999  USE="nls" 0 kB [1]
[ebuild   R   ] x11-plugins/e_modules-efm_nav-9999  USE="nls" 0 kB [1]


emerge --info :
Code:
Portage 2.2_rc67 (default/linux/x86/10.0/desktop, gcc-4.4.4, glibc-2.11.2-r0, 2.6.34-gentoo i686)
=================================================================
System uname: Linux-2.6.34-gentoo-i686-Mobile_AMD_Sempron-tm-_Processor_2800+-with-gentoo-2.0.1
Timestamp of tree: Fri, 09 Jul 2010 18:55:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p37
dev-java/java-config: 2.1.10
dev-lang/python:     2.4.6, 2.5.4-r4, 2.6.5-r2, 3.1.2-r3
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.1-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r3, 1.10.3, 1.11.1, 9999
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.4-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
virtual/os-headers:  2.6.34
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA dlj-1.1"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon-xp -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=athlon-xp -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests ccache distlocks fixpackages loadpolicy news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.switch.ch/ftp/mirror/gentoo/ http://mirror.qubenet.net/mirror/gentoo/ http://mirror.ovh.net/gentoo-distfiles/"
LANG="fr_FR@euro"
LC_ALL="fr_FR@euro"
LDFLAGS="-Wl,-O1"
LINGUAS="fr"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/enlightenment-niifaq"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="# 3dnow 3dnowext ACPI BURN CD CPU DBUS DVD GNOME INTERNET KDE LAMP PHP SCANNER SYSTEM VIDEO X a52 aac acl acpi alsa apache2 bash-completion berkdb bluetooth branding bzip2 cdr cli consolekit cracklib crypt ctype cups cxx dbus divx dri dts dvd dvdr emboss encode exif fam firefox flac foomaticdb fortran gdbm gif gimp gphoto2 gpm hal howl iconv ipv6 jpeg lcms libnotify lm_sensors mad mikmod mmx mmx2 mng modules mp3 mp4 mpeg mplayer mudflap mysql ncurses nls nptl nptlonly nsplugin ogg opengl openmp pam pango pcre pdf perl pic png ppds pppd python qt4 readline reflection scanner sdl session spell spl sse sse2 ssl startup-notification svg sysfs tcpd tiff truetype unicode usb vorbis x264 x86 xcb xine xml xml2 xorg xulrunner xv xvid zlib" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="fr" RUBY_TARGETS="ruby18" SANE_BACKENDS="hp" USERLAND="GNU" VIDEO_CARDS="sis" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


My .xinitrc is only : exec enlightenment_start


I hope someone can help
_________________
Kernel : 2.6.32 - E17 - OpenRC-0.61 - gcc-4.4.3
Back to top
View user's profile Send private message
BitJam
Advocate
Advocate


Joined: 12 Aug 2003
Posts: 2486
Location: Silver City, NM

PostPosted: Fri Jul 09, 2010 7:40 pm    Post subject: Reply with quote

The E17 user guide says to use just:
Code:
enlightenment_start

without the "exec". This is what I have in my .xinitrc and it works for me. I don't know if the "exec" is causing your problem but getting rid of it is a very easy thing to try.
Back to top
View user's profile Send private message
sian
Apprentice
Apprentice


Joined: 26 Jan 2004
Posts: 288

PostPosted: Sat Jul 10, 2010 6:47 am    Post subject: Reply with quote

Hello Bitjam,

I tried but I have the same result.

Regards
_________________
Kernel : 2.6.32 - E17 - OpenRC-0.61 - gcc-4.4.3
Back to top
View user's profile Send private message
BitJam
Advocate
Advocate


Joined: 12 Aug 2003
Posts: 2486
Location: Silver City, NM

PostPosted: Sat Jul 10, 2010 7:40 am    Post subject: Reply with quote

Too bad. You could try emerging @enlightenment-wm again. Perhaps you caught it in a instable state. Is there something particular in the niifaq overlay that you need? If not, you could try using the enlightenment overlay instead.

The only other thing I can suggest is posting your problem on the official E17 forum. Someone there is experiencing a segfault during startup. Perhaps it is related to your problem.
Back to top
View user's profile Send private message
Muso
l33t
l33t


Joined: 22 Oct 2002
Posts: 996
Location: The Holy city of Honolulu

PostPosted: Sun Jul 11, 2010 7:54 am    Post subject: Reply with quote

BitJam wrote:
Too bad. You could try emerging @enlightenment-wm again. Perhaps you caught it in a instable state. Is there something particular in the niifaq overlay that you need? If not, you could try using the enlightenment overlay instead.

The only other thing I can suggest is posting your problem on the official E17 forum. Someone there is experiencing a segfault during startup. Perhaps it is related to your problem.


++

As mentioned above, try rebuilding the packages a day later as svn updates rather quickly.
check here to see when various progs get an update.
_________________
Time is a great teacher, but unfortunately it kills all its pupils.
Back to top
View user's profile Send private message
transsib
l33t
l33t


Joined: 26 Jul 2003
Posts: 869

PostPosted: Tue Jul 13, 2010 1:33 pm    Post subject: Reply with quote

E17 used to have a GUI editor for edj : edje_editor.

Up to now I have had gant_e17-0-0-9.edj as my theme.
May be you remember the cartoon-like style with the little chicken
on the left to the road that runs all the way to the horizon.

Now this theme is gone and i could not change font and font-size.
So I changed my beloved gant theme to azul which is far more customizable.

But I love the wallpaper that gant has.
I still have the theme in the in .e/e/themes/.
May be I could do something about it, at least pull out the wallpaper
if that is allowed and possible at all.

Where has edje_editor gone to and can I do what I´d like to do
with it.
If not is there any alternative?

EDIT: I found it here; so it still is on air.
http://exchange.enlightenment.org/theme/show/624
But situation stands: it is uncustomizable, unfortunately.
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3256

PostPosted: Wed Jul 14, 2010 1:27 am    Post subject: Reply with quote

Code:
cd ~/.e/e/backgrounds
ln -s ../themes/gant* .
Then go to wallpaper module and choose your wallpaper.
_________________
emerge --quiet redefined | E17 vids: I, II | Now using kde5 | e is unstable :-/
Back to top
View user's profile Send private message
secant
n00b
n00b


Joined: 14 May 2010
Posts: 3

PostPosted: Fri Jul 16, 2010 1:08 am    Post subject: Reply with quote

Chopinzee wrote:
For anyone using the official svn overlay from the e-team (efl), the eclass/efl.eclass file needs to be edited on line 114.

From :
Code:
DEPEND="${DEPEND} dev-util/cvs"


To :
Code:
DEPEND="${DEPEND} dev-vcs/cvs"


Else portage will bitch about dev-util/cvs not existing as a requirement of enlightenment.

I'm assuming it will be fixed shortly, but if someone has trouble now this is the fix.


Is anyone else using the enlightenment-niifaq overlay still having problems with the dev-vcs/cvs dependency? I synced the overlay, and checked the efl.ecass file - there are no references to dev-util/vcs. What am I doing wrong?

EDIT:
For example,
Code:

wintermute eclass # emerge @enlightenment-rebuild
Calculating dependencies... done!

emerge: there are no ebuilds to satisfy "dev-util/cvs".
(dependency required by "x11-plugins/trash-9999" [ebuild])
(dependency required by "@enlightenment-rebuild" [argument])


A bunch of packages depend on it but I can't find whatever config file sets dev-util/vcs as a dependency. Is there anywhere specific that I should be looking outside of the overlay tree?
Back to top
View user's profile Send private message
Muso
l33t
l33t


Joined: 22 Oct 2002
Posts: 996
Location: The Holy city of Honolulu

PostPosted: Mon Jul 19, 2010 6:56 pm    Post subject: Reply with quote

The efl overlay had an update recently. Anyone who is using it should probably layman -S.
_________________
Time is a great teacher, but unfortunately it kills all its pupils.
Back to top
View user's profile Send private message
sera
Retired Dev
Retired Dev


Joined: 29 Feb 2008
Posts: 1017
Location: CET

PostPosted: Tue Jul 20, 2010 9:31 am    Post subject: Reply with quote

secant wrote:
Chopinzee wrote:
For anyone using the official svn overlay from the e-team (efl), the eclass/efl.eclass file needs to be edited on line 114.

From :
Code:
DEPEND="${DEPEND} dev-util/cvs"


To :
Code:
DEPEND="${DEPEND} dev-vcs/cvs"


Else portage will bitch about dev-util/cvs not existing as a requirement of enlightenment.

I'm assuming it will be fixed shortly, but if someone has trouble now this is the fix.


Is anyone else using the enlightenment-niifaq overlay still having problems with the dev-vcs/cvs dependency? I synced the overlay, and checked the efl.ecass file - there are no references to dev-util/vcs. What am I doing wrong?

EDIT:
For example,
Code:

wintermute eclass # emerge @enlightenment-rebuild
Calculating dependencies... done!

emerge: there are no ebuilds to satisfy "dev-util/cvs".
(dependency required by "x11-plugins/trash-9999" [ebuild])
(dependency required by "@enlightenment-rebuild" [argument])


A bunch of packages depend on it but I can't find whatever config file sets dev-util/vcs as a dependency. Is there anywhere specific that I should be looking outside of the overlay tree?


I'm not using the nifaq overlay. However efl.eclass belongs to the efl overlay where as the enlightenment overlay uses the enlightenment.eclass in the main tree.

The above output suggests that x11-plugins/trash-9999 pulls in dev-utils/vcs either directly or via eclass. Check the trash ebuilds inherit line to get the eclass used if any.
Back to top
View user's profile Send private message
Reikoku
n00b
n00b


Joined: 21 Jul 2010
Posts: 5

PostPosted: Wed Jul 21, 2010 12:07 am    Post subject: Reply with quote

Has anyone managed to get conky working properly with e17?

I've got it to a point whereby it will be transparent, look fine etc but it won't stop sitting on top.

Here's a screenshot and here's my .conkyrc.

Any suggestions (or an alternative to conky to show top processes and rss feeds on the desktop) very welcome.

(I'll make this a new thread too in case anyone else is having the issue)
_________________
~Reikoku

Desktop: Phenom II X4, 8Gb, 9800GX2 (Gentoo/E17)
Laptop: MacBook Pro 17" i7, 8Gb (Gentoo/E17)
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3256

PostPosted: Wed Jul 21, 2010 2:47 am    Post subject: Reply with quote

Reikoku wrote:
Has anyone managed to get conky working properly with e17?

I've got it to a point whereby it will be transparent, look fine etc but it won't stop sitting on top.
Did you try "Pin to desktop" and then Remember the window state? FYI, you can get the Window menu by Ctrl-Alt-W, or by Alt-Right Click (iirc).
_________________
emerge --quiet redefined | E17 vids: I, II | Now using kde5 | e is unstable :-/
Back to top
View user's profile Send private message
Reikoku
n00b
n00b


Joined: 21 Jul 2010
Posts: 5

PostPosted: Wed Jul 21, 2010 5:04 am    Post subject: Reply with quote

ppurka wrote:
Reikoku wrote:
Has anyone managed to get conky working properly with e17?

I've got it to a point whereby it will be transparent, look fine etc but it won't stop sitting on top.
Did you try "Pin to desktop" and then Remember the window state? FYI, you can get the Window menu by Ctrl-Alt-W, or by Alt-Right Click (iirc).


As discussed in IRC have tried this (had to set undecorated off and window type normal in conkyrc), and also have tried Stacking > Always Below and it still sits on top (and draws an ugly drop shadow to boot).

UPDATE: Have got conky to work as I want it to. You have to disable ecomorph and ecomp and unload the ecomorph module.

Set undecorated off, then alt-rightclick and set mode sticky, and remember. Then re-add undecorated.
_________________
~Reikoku

Desktop: Phenom II X4, 8Gb, 9800GX2 (Gentoo/E17)
Laptop: MacBook Pro 17" i7, 8Gb (Gentoo/E17)
Back to top
View user's profile Send private message
secant
n00b
n00b


Joined: 14 May 2010
Posts: 3

PostPosted: Sat Jul 24, 2010 8:13 pm    Post subject: Reply with quote

sera wrote:


I'm not using the nifaq overlay. However efl.eclass belongs to the efl overlay where as the enlightenment overlay uses the enlightenment.eclass in the main tree.

The above output suggests that x11-plugins/trash-9999 pulls in dev-utils/vcs either directly or via eclass. Check the trash ebuilds inherit line to get the eclass used if any.


I was able to fix it with your advice. Turns out there were references to dev-util/cvs in the overlay's efl.eclass (/usr/local/portage/layman/enlightenment-niifaq/eclass/efl.eclass) inherited by trash, and in the overlay's enlightenment.eclass (/usr/local/portage/layman/enlightenment-niifaq/eclass/enlightenment.eclass).

All is well! Thank you.
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3256

PostPosted: Sun Jul 25, 2010 5:32 pm    Post subject: Reply with quote

DaggyStyle wrote:
does anyone else have a problem like this?
Code:
checking for ENKI... configure: error: Package requirements (
                             eina-0 >= 0.0.2.062
                             ecore >= 0.9.9.062
                             ecore-file >= 0.9.9.062
                             eet >= 1.2.2
                             enlil >= 0.6
                             elementary >= 0.5.1.0
                        ) were not met:

Requested 'ecore >= 0.9.9.062' but version of ecore is 0.9.9.0
Requested 'ecore-file >= 0.9.9.062' but version of ecore-file is 0.9.9.0

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables ENKI_CFLAGS
and ENKI_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

I'm using niifaq's overlay, alot of packages are failing like this
I was not visiting the forums for quite some time. Maybe that's why I missed this post.

As for this error, it seems you don't have the -9999 versions of the e17 packages installed. So, first ensure that you have installed only the -9999 versions. You can unmask them by symlinking the enlightenment.live file to your package.keywords directory:
Code:
ln -s /var/lib/layman/enlightenment-niifaq/Documentation/live-builds/package.keywords/enlightenment.live /etc/portage/package.keywords/
If you are maintaining your own ebuilds then you can download that file from niifaq git and place it in your package.keywords directory.

Before emerging the -9999 versions, unmerge all the e17 libs and other e17/efl packages installed in the system. If you still get similar errors with the core packages (efl + enlightenment), then it means you have some old e17 libs lying around in your system.
_________________
emerge --quiet redefined | E17 vids: I, II | Now using kde5 | e is unstable :-/
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5398

PostPosted: Sun Jul 25, 2010 6:41 pm    Post subject: Reply with quote

ppurka wrote:
DaggyStyle wrote:
does anyone else have a problem like this?
Code:
checking for ENKI... configure: error: Package requirements (
                             eina-0 >= 0.0.2.062
                             ecore >= 0.9.9.062
                             ecore-file >= 0.9.9.062
                             eet >= 1.2.2
                             enlil >= 0.6
                             elementary >= 0.5.1.0
                        ) were not met:

Requested 'ecore >= 0.9.9.062' but version of ecore is 0.9.9.0
Requested 'ecore-file >= 0.9.9.062' but version of ecore-file is 0.9.9.0

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables ENKI_CFLAGS
and ENKI_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

I'm using niifaq's overlay, alot of packages are failing like this
I was not visiting the forums for quite some time. Maybe that's why I missed this post.

As for this error, it seems you don't have the -9999 versions of the e17 packages installed. So, first ensure that you have installed only the -9999 versions. You can unmask them by symlinking the enlightenment.live file to your package.keywords directory:
Code:
ln -s /var/lib/layman/enlightenment-niifaq/Documentation/live-builds/package.keywords/enlightenment.live /etc/portage/package.keywords/
If you are maintaining your own ebuilds then you can download that file from niifaq git and place it in your package.keywords directory.

Before emerging the -9999 versions, unmerge all the e17 libs and other e17/efl packages installed in the system. If you still get similar errors with the core packages (efl + enlightenment), then it means you have some old e17 libs lying around in your system.

recompiling ecore-9999 didn't helped at all.
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
sera
Retired Dev
Retired Dev


Joined: 29 Feb 2008
Posts: 1017
Location: CET

PostPosted: Sun Jul 25, 2010 7:01 pm    Post subject: Reply with quote

DaggyStyle,

for me it looks a bit like orphaned *.la files interfering. Are you using lafilefixer?

Code:
qfile -o /usr/lib/*.la

Remove the ones belonging to enlightenment.
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5398

PostPosted: Sun Jul 25, 2010 7:04 pm    Post subject: Reply with quote

sera wrote:
DaggyStyle,

for me it looks a bit like orphaned *.la files interfering. Are you using lafilefixer?

Code:
qfile -o /usr/lib/*.la

Remove the ones belonging to enlightenment.

I've unmerged e17, emerging again now
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Desktop Environments All times are GMT
Goto page Previous  1, 2, 3 ... 20, 21, 22 ... 28, 29, 30  Next
Page 21 of 30

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum